org.eclipse.gef.ui.palette

## Class PaletteContextMenuProvider

- java.lang.Object
- - org.eclipse.jface.action.ContributionManager
  - - org.eclipse.jface.action.MenuManager
    - - org.eclipse.gef.ContextMenuProvider
      - - org.eclipse.gef.ui.palette.PaletteContextMenuProvider

All Implemented Interfaces:
  IContributionItem, IContributionManager, IMenuListener, IMenuManager

    public class PaletteContextMenuProvider
    extends ContextMenuProvider

Provides the context menu for a palette.

### Field Summary

### Fields inherited from class org.eclipse.jface.action.MenuManager

`visible`

### Constructor Summary

Constructors
Constructor and Description
`PaletteContextMenuProvider(PaletteViewer palette)` Constructor

### Method Summary

Methods
`void` `buildContextMenu(IMenuManager menu)` This is the method that builds the context menu.
`protected PaletteViewer` `getPaletteViewer()`

### Methods inherited from class org.eclipse.gef.ContextMenuProvider

`getViewer, menuAboutToShow, setViewer`

### Methods inherited from class org.eclipse.jface.action.MenuManager

`addMenuListener, createContextMenu, createMenuBar, createMenuBar, dispose, doItemFill, fill, fill, fill, fill, findMenuUsingPath, findUsingPath, getId, getImageDescriptor, getMenu, getMenuItem, getMenuItemCount, getMenuItems, getMenuText, getOverrides, getParent, getRemoveAllWhenShown, isDynamic, isEnabled, isGroupMarker, isSeparator, isSubstituteFor, isVisible, markDirty, menuExist, removeMenuListener, saveWidgetState, setActionDefinitionId, setImageDescriptor, setMenuText, setOverrides, setParent, setRemoveAllWhenShown, setVisible, toString, update, update, update, update, updateAll`

### Methods inherited from class org.eclipse.jface.action.ContributionManager

`add, add, allowItem, appendToGroup, appendToGroup, dumpStatistics, find, getItems, getSize, hasDynamicItems, indexOf, indexOf, insert, insertAfter, insertAfter, insertBefore, insertBefore, internalSetItems, isDirty, isEmpty, itemAdded, itemRemoved, prependToGroup, prependToGroup, remove, remove, removeAll, replaceItem, setDirty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.action.IContributionManager

`add, add, appendToGroup, appendToGroup, find, getItems, insertAfter, insertAfter, insertBefore, insertBefore, isDirty, isEmpty, prependToGroup, prependToGroup, remove, remove, removeAll`

### Methods inherited from interface org.eclipse.jface.action.IContributionItem

`isDirty`

### Constructor Detail

#### PaletteContextMenuProvider

    public PaletteContextMenuProvider(PaletteViewer palette)

Constructor

Parameters:
  `palette` - the palette viewer for which the context menu has to be created

### Method Detail

#### getPaletteViewer

    protected PaletteViewer getPaletteViewer()

Returns:
  the palette viewer

#### buildContextMenu

    public void buildContextMenu(IMenuManager menu)

This is the method that builds the context menu.

Specified by:
  `buildContextMenu` in class `ContextMenuProvider`
Parameters:
  `menu` - The IMenuManager to which actions for the palette's context menu can be added.
See Also:
  `ContextMenuProvider.buildContextMenu(org.eclipse.jface.action.IMenuManager)`